<!-- 
Licensed Materials - Property of IBM
5724-L01, 5655-N53, 5724-I82, 5655-R15
- Copyright IBM Corporation 2007. All Rights Reserved.
US Government Users Restricted Rights- Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
-->

<%@ page import="java.util.*"%>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles"%>

<tiles:useAttribute id="bean" name="bean" classname="java.lang.String" />

<bean:define id="installBSpace" name="<%=bean%>" property="installBSpace"
	type="java.lang.Boolean" />

<bean:define id="alreadyInstallBSpace" name="<%=bean%>" property="alreadyInstallBSpace"
	type="java.lang.Boolean" />
<bean:define id="datasourceExisted" name="<%=bean%>" property="datasourceExisted"
	type="java.lang.Boolean" />
<td class="table-text" nowrap>
<table border="0" cellspacing="0" cellpadding="3">

	<tr valign="top">
		<td class="table-text" nowrap><label for="installBSpace"
			title="<bean:message key="BSpace.detail.install.description"/>">
			<html:checkbox property="installBSpace" styleId="installBSpace" name="<%=bean%>"
					disabled="<%=alreadyInstallBSpace.booleanValue()%>" 
					onclick="EnableDisableBSCtrls()"/>
			<input type="hidden" name="installBSpace" value="false"/>			
			<bean:message key="BSpace.detail.install.displayName"/> </label>
		</td>
	</tr>
	<tr valign="top" style="display:none">
		<td class="table-text" nowrap>
			<html:checkbox property="datasourceExisted" styleId="datasourceExisted" name="<%=bean%>"
					disabled="<%=alreadyInstallBSpace.booleanValue()%>" />
		</td>
	</tr>

	<tr>
		<td>
			<table>
				<tr valign="top">
					<td CLASS="Indent2" >&nbsp;</td>
					<td class="table-text" nowrap>
						<label for="datasourceSchema"
						title="<bean:message key="BSpace.detail.schema.description"/>">		
							<bean:message key="BSpace.detail.schema.displayName"/>
							<BR/>
							<html:text property="datasourceSchema"
								name="<%=bean%>" size="30" styleId="datasourceSchema" styleClass="textEntry"
								disabled="<%=alreadyInstallBSpace.booleanValue()%>" />
						</label>
					</td>
				</tr>
				<tr valign="top">
					<td CLASS="Indent2" >&nbsp;</td>
					<td class="table-text" nowrap>
						<label for="datasource"
						title="<bean:message key="BSpace.detail.datasource.description"/>">		
							<bean:message key="BSpace.detail.datasource.displayName"/>
							<BR/>
							<html:text property="datasource"
								name="<%=bean%>" size="30" styleId="datasource" styleClass="textEntry"
								disabled="TRUE" />
						</label>
					</td>
				</tr>
				<tr valign="top">
					<td CLASS="Indent2" >&nbsp;</td>
					<td class="table-text" nowrap>
				        <tiles:insert page="/secure/layouts/dynamicSelectionLayout.jsp" flush="false">
				        <tiles:put name="property" value="productDS" />
				        <tiles:put name="readOnly" value="<%=alreadyInstallBSpace.toString()%>" />
				        <tiles:put name="isRequired" value="false" />
				        <tiles:put name="label" value="BSpace.detail.productDS.displayName" />
				        <tiles:put name="size" value="30" />
				        <tiles:put name="units" value=""/>
				        <tiles:put name="desc" value="BSpace.detail.productDS.description"/>
				        <tiles:put name="bean" value="<%=bean%>" />
				        <tiles:put name="multiSelect" value="false" />
				        <tiles:put name="includeTD" value="false" />	        
				        </tiles:insert>
					</td>
				</tr>
			</table>
		</td>
	</tr>

</table>
</td>

<SCRIPT>
function EnableDisableBSCtrls(){
	enableDisable("installBSpace:datasourceSchema");
	if(document.getElementById("datasourceExisted").checked){
		enableDisable("!datasourceExisted:productDS:datasource"); //always disable
	} else {
		enableDisable("installBSpace:productDS"); //base on installBSpace
		enableDisable("datasourceExisted:datasource"); //always disable
	}
}
EnableDisableBSCtrls();	
</SCRIPT>
